Bug 719056 - migrate-ds-admin.pl needs to update SELinux policy
Summary: migrate-ds-admin.pl needs to update SELinux policy
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: 389
Classification: Retired
Component: Migration
Version: 1.2.8
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nathan Kinder
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On:
Blocks: 434915
TreeView+ depends on / blocked
 
Reported: 2011-07-05 15:51 UTC by Nathan Kinder
Modified: 2015-12-07 16:48 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-07 16:48:04 UTC


Attachments (Terms of Use)
Patch (2.02 KB, patch)
2011-07-05 15:53 UTC, Nathan Kinder
nkinder: review?
rmeggins: review+
Details | Diff

Description Nathan Kinder 2011-07-05 15:51:22 UTC
The migrate-ds-admin.pl script currently doesn't update the SELinux policy.  This script needs to label the admin server port and paths properly to ensure that the process will start correctly.

Comment 1 Nathan Kinder 2011-07-05 15:53:42 UTC
Created attachment 511339 [details]
Patch

Comment 2 Nathan Kinder 2011-07-05 16:30:25 UTC
Pushed to master.  Thanks to Rich for his review!

Counting objects: 13, done.
Delta compression using up to 2 threads.
Compressing objects: 100% (6/6), done.
Writing objects: 100% (7/7), 766 bytes, done.
Total 7 (delta 5), reused 0 (delta 0)
To ssh://git.fedorahosted.org/git/389/admin.git
   83551c4..c3c7379  master -> master

Comment 4 Amita Sharma 2011-08-16 08:45:59 UTC
It was not working initially hence logged a bug as - https://bugzilla.redhat.com/show_bug.cgi?id=730079 - I have tested the local patch applied by Nathan.

Now it is working fine with SELinux in enforcing mode. Hence VERIFIED.


Note You need to log in before you can comment on or make changes to this bug.